SPEEDRAM - System Performance Enhancer
_____________________________________________________________________


DESCRIPTION

  SpeedRAM increases the speed of your system CPU by changing the
  refresh rate of your systems 8253 timer chip. All Personal
  Computers, including the original IBM PC were designed with a very
  high refresh rate. The rate used by all personal computers is far
  beyond the rate required by the RAM chips used in these machines.
  SpeedRAM sets the refresh rate to match closer with RAM
  manufacturers specifications and in turn frees up CPU cycles. These
  free cycles can be used by your software rather than going to waste
  by refreshing the RAM too often. The change in refresh rate matches
  within specifications of most DRAM manufacturers. Depending on your
  system SpeedRAM should increase your CPU's performance from 2% to
  10%. You can measure this in many ways such as LANDMARK's CPU SPEED
  Test or Norton Utilities SI program.


VERSION

  2.00  03/14/92


COMMAND FORMAT

  SPEEDRAM [+][-][/R:nn]

  +       Enable SpeedRAM.  Entering a + will enable SpeedRAM and set
          the optimum refresh rate.

  -       Disable SpeedRAM.  Entering a - will disable SpeedRAM and set
          the refresh rate to stock values.

  r:nn    Set refresh rate to nn Us.  Entering r:nn will set the
          refresh rate to nn micro seconds.  Only use this if you have
          a good understanding of the refresh rates.  Setting too high
          a refresh rate will cause memory  Parity errors or hang your
          system. If you find that SPEEDRAM + causes parity errors or
          hangs your system than you will want to try this option.


WHAT IS A REFRESH RATE AND WHAT DOES IT DO?

  The memory in your Personal Computer is called DRAM, or Dynamic
  Random Access Memory. This memory is made of banks of 9 chips each
  holding up to as much as 4MB of 1 bit data. Each chip in a bank
  represents one of 9 bits. In Personal Computers, 8 of the bits store
  data and the 9th bit is called a parity bit, used to determine if
  the data bits are holding the proper information. DRAM chips can not
  hold a charge of electricity for a very long time. In fact, a new
  charge of 5 volts must be supplied about every 65 micro seconds or
  it will loose its data. To supply this charge, that is refresh, the
  memory, the CPU must stop processing data and direct the 8253 chip
  to send the refresh charge to the bank of memory. Once the refresh
  is done the CPU can continue processing. By reducing the number of
  times the CPU has to stop to refresh the DRAM is how SpeedRAM speeds
  up your system.


NOTES

  SpeedRAM is not a TSR. It does not require any RAM or take any away
  from your system. SpeedRAM only needs to be loaded once and will
  perform until the machine is rebooted.

  SpeedRAM has now loaded and changed your systems speed. Now try
  loading some software to insure that the system is working properly.
  Run all the programs that you normally run on your system. Do not
  load any data that isn't already saved in case SpeedRAM causes a
  problem. If SpeedRAM causes any problem, it will cause memory
  problems, your system will either hang or you will get a Parity
  Error type message, if have any problems refer to the Trouble
  Shooting section that follows for further instructions. If
  everything works fine then you might want to install SpeedRAM so it
  loads every time you boot your machine.

  If you have any time of Memory or RAM test you can further insure
  that everything is working properly by running that test. If it
  reports no problems than it is safe to assume that SpeedRAM has no
  conflicts with your machine.


TROUBLE SHOOTING

  SpeedRAM has been thoroughly tested on many systems before being
  released but due to the complexity and variety of equipment
  available we can not guarantee that it will work on every Personal
  Computer.

  If you notice memory errors, parity errors, or that your machine is
  hanging after running SpeedRAM + then the rate that SpeedRAM has
  chosen for your system is causing the DRAM chips to fail. This is in
  no way a permanent failure, you will just have to pick a lower rate
  at which to run SpeedRAM. To use a manual refresh rate with SpeedRAM
  enter the following:

    SPEEDRAM r:nn [ENTER]

  where nn is the refresh rate you wish to use. Start with 60 and
  retest your system. If you continue to have problems keep decrements
  the amount by 5 until you reach a value that your system works with.
  If the value is less than 18 then you will most likely not benefit
  from SpeedRAM. If this is the case contact technical support for
  further help.

  If you have to use a manual refresh rate then install with the rate
  override option, and give it the value that worked with your system
  when the installation program prompts you.

  Some problems in benchmarking are caused by TSR or Memory Resident
  software such as screen blankers or print spoolers.

  The benchmark ATPERF.EXE from PC Tech Journal which measures
  overhead is usually not affected by these programs. It is a very
  good sign of the change SpeedRAM has with your program.

  Norton Utilities SI and Landmarks CPUSPEED can be affected by TSR's
  and may not show the increase in performance. If notice no
  improvement in performance try running the benchmarks without any
  TSR's loaded. If you still see no increase, call technical support.

  There are some utilities available as Shareware or Public Domain
  software that perform a similar task to SpeedRAM. If you have any of
  the following you might not see an increase with SpeedRAM:

  NREFRESH.COM           1987
  SPEEDER.COM            1987
  FASTRAM.COM            1988
  FASTV20.COM            1988
  ZIP.EXE                1988
